/**
 *
 */
package com.ejweb.core.filter;

import javax.servlet.http.HttpServletRequest;

import org.springframework.web.multipart.commons.CommonsMultipartResolver;

/**
 * 对UEditor图片上传的路径不做
 * 
 * @team IT Team
 * @author renmb
 * @version 1.0
 * @time  2016年8月11日
 */
public class BaiduCommonsMultipartResolver extends CommonsMultipartResolver{
    
    @Override
    public boolean isMultipart(HttpServletRequest request) {
        String url = request.getRequestURI();
        if (url !=null && url.contains("ueditor")) {
            
            return false;
        } else {
            
            return super.isMultipart(request);
        }
    }
}
